View Issue Details

IDProjectCategoryLast Update
0026995AI War 2Bug - GameplayMay 14, 2022 2:48 pm
ReporterDismiss Assigned ToChris_McElligottPark  
Severityminor 
Status resolvedResolutionfixed 
Product Version4.021 Scourge Of A Beacon 
Fixed in Version5.010 Client Message Order 
Summary0026995: multiplayer bug: waiting on client
DescriptionThe moment i started the game it was stuck saying 'waiting on: firespier' (the client). I was host.
TagsNo tags attached.

Relationships

related to 0027168 assignedChris_McElligottPark General v5 multiplayer experience and particular sync issue with different players seeing different info on incoming wavess 

Activities

Dismiss

Apr 16, 2022 10:28 am

reporter   ~0066073

this is the log from the client
ArcenDebugLog.txt (527,401 bytes)

Daniexpert

Apr 16, 2022 10:32 am

manager   ~0066074

Is there something relevant in the host's log?

Chris_McElligottPark

Apr 19, 2022 12:19 pm

administrator   ~0066140

Any errors on the host? As Daniexpert was kind of alluding, the client log is clean.

My first suggestion is to make sure both client and host verify the local steam cache, since a bad download on one or the other can lead to oddities.

In the networking tab, you can also turn on some stats in the upper right, which show why you are waiting, and what the ping to the client is, etc.

Zer0h1nder

Apr 21, 2022 12:44 pm

reporter   ~0066220

This was happening in a multiplayer session today as well. The game only properly starts when the client quits and then reconnects (we were trying first with steam sockets, then with LiteNetLib). The local steam files were fine.

Sometimes the client was still in the game lobby even though the game already started for the host and was stuck at 2 seconds (waiting on client) gametime.

Attached is the DebugLog from the host.

The exception "TargetNetworkID=2" independently occured once during our attempts to properly connect.
ArcenDebugLog-2.txt (70,786 bytes)   
4/21/2022 4:24:01 PM	SINGLEP	Current directory used: D:/Programme (x86)/Steam/steamapps/common/AI War 2/
PlayerDataDirectory used: D:/Programme (x86)/Steam/steamapps/common/AI War 2/PlayerData/
4/21/2022 4:24:02 PM	SINGLEP	Boot up FleetOS (0.4770s)
4/21/2022 4:24:03 PM	SINGLEP	graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10  (10.0.19043) 64bit
graphicsDeviceName: NVIDIA GeForce 940MX
graphicsDeviceID: 4941
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 2010
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i7-7500U CPU @ 2.70GHz
processorCount: 4
processorFrequency: 2904
systemMemorySize: 16249
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
4/21/2022 4:24:03 PM	4.025	SINGLEP	Game Version: 4.025
4/21/2022 4:24:03 PM	4.025	SINGLEP	Check System Logs For Rogue Intelligence (1.1344s)
4/21/2022 4:24:04 PM	4.025	SINGLEP	Inspect Aft Hatches (1.0242s)
4/21/2022 4:24:04 PM	4.025	SINGLEP	Found 520 xml files in 136 folders in 89ms
4/21/2022 4:24:13 PM	4.025	SINGLEP	Check For Extra Modules (8.4602s)
4/21/2022 4:24:13 PM	4.025	SINGLEP	520 Xml Files Parsed in 8,363ms
4/21/2022 4:24:13 PM	4.025	SINGLEP	Gather Ancient Lifeforms (0.0000s)
4/21/2022 4:24:13 PM	4.025	SINGLEP	Eject Trash Into Hyperspace (0.0060s)
4/21/2022 4:24:13 PM	4.025	SINGLEP	Bring Cloaking Systems Online (0.2290s)
4/21/2022 4:24:13 PM	4.025	SINGLEP	Update mod and expansion statuses!
4/21/2022 4:24:13 PM	4.025	SINGLEP	Expansions:  The Spire Rises (Installed And Enabled!)  Zenith Onslaught (Installed And Enabled!)  The Neinzul Abyss (NOT INSTALLED)  
4/21/2022 4:24:13 PM	4.025	SINGLEP	Mods:  AIShieldGenerators (Disabled)  AMU (Disabled)  CapturableDreadnoughts (Disabled)  ExoticShips (Disabled)  ExpertMinusScaling (Disabled)  ExtendedShipVariants (Disabled)  FrigatesFocus (Disabled)  FromSpireFrigateToDreadnought (Disabled)  HydralFederation (Disabled)  LostHumans (Disabled)  MacrophageHistiocytes (Disabled)  MicroModCollection (Disabled)  MoreFrigates (Disabled)  MoreStartingFleets (Disabled)  MoreSystemDefenders (Disabled)  PaladinTransports (Disabled)  PowerfulCommandStations (Disabled)  RaisingTheFloorMultiAIAdjustment (Disabled)  SKCivilianIndustry (Disabled)  StrategicRebalance (Disabled)  StrategicRebalanceDLC1 (Disabled)  StrategicRebalanceDLC2 (Disabled)  SuperchargeRaid (Disabled)  TameDarkSpire (Disabled)  
4/21/2022 4:24:13 PM	4.025	SINGLEP	Check Nearby Stellar Masses (0.1380s)
4/21/2022 4:24:13 PM	4.025	SINGLEP	520 Xml Files Checked For Exp/Mod Status in 11ms
4/21/2022 4:24:13 PM	4.025	SINGLEP	Pruning Excess Brain Cells (0.5520s)
4/21/2022 4:24:15 PM	4.025	SINGLEP	No resolution change was required.
4/21/2022 4:24:15 PM	4.025	SINGLEP	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
4/21/2022 4:24:15 PM	4.025	SINGLEP	Applied Framerate Type: 144 FPS (vsync: 0 targetFPS:144)
4/21/2022 4:24:15 PM	4.025	SINGLEP	Remembering Alamo (1.4552s)
4/21/2022 4:24:19 PM	4.025	SINGLEP	Calculate Odds Of Success (3.8258s)
4/21/2022 4:24:21 PM	4.025	SINGLEP	Briefly Panic (2.2907s)
4/21/2022 4:24:22 PM	4.025	SINGLEP	Install Confidence Routines (0.8000s)
4/21/2022 4:24:23 PM	4.025	SINGLEP	Warning Only: No entries found for table 'ExtraDamageModifiers'.
4/21/2022 4:24:29 PM	4.025	SINGLEP	Late Axionic Computations (6.8802s)
4/21/2022 4:24:29 PM	4.025	SINGLEP	Acquiring Towel (0.0410s)
4/21/2022 4:24:29 PM	4.025	SINGLEP	Inhibiting Visual Scans (0.2930s)
4/21/2022 4:24:31 PM	4.025	SINGLEP	Ejecting Tactical Core (1.9380s)
4/21/2022 4:24:31 PM	4.025	SINGLEP	Grouping Flow Fields (0.0540s)
4/21/2022 4:24:38 PM	4.025	SINGLEP	Listening To Starfields (6.5650s)
4/21/2022 4:24:41 PM	4.025	SINGLEP	Screening Distant Planets (3.7193s)
4/21/2022 4:24:41 PM	4.025	SINGLEP	Calculating Firing Cones (0.0200s)
4/21/2022 4:24:43 PM	4.025	SINGLEP	Ejecting Ship Parts Into Space (1.4150s)
4/21/2022 4:24:43 PM	4.025	SINGLEP	Re-Aligning Objectives (0.1580s)
4/21/2022 4:25:39 PM	4.025	SINGLEP	Download Extra RAM (56.2457s)
4/21/2022 4:25:39 PM	4.025	SINGLEP	Post-Proton Surge (0.0410s)
4/21/2022 4:25:39 PM	4.025	SINGLEP	DELAYED1 TID54 Could not find a faction with name <Sappers> that is eligible to be random for AIEmpowerer
4/21/2022 4:25:39 PM	4.025	SINGLEP	DELAYED2 TID54 Could not find a faction with name <Elderlings> that is eligible to be random for AIEmpowerer
4/21/2022 4:25:39 PM	4.025	SINGLEP	DELAYED3 TID54 Could not find a faction with name <NeinzulCustodiansParent> that is eligible to be random for Chaotician
4/21/2022 4:25:39 PM	4.025	SINGLEP	DELAYED4 TID54 Could not find a faction with name <Sappers> that is eligible to be random for NeinzulAbyss
4/21/2022 4:25:39 PM	4.025	SINGLEP	DELAYED5 TID54 Could not find a faction with name <Elderlings> that is eligible to be random for NeinzulAbyss
4/21/2022 4:25:39 PM	4.025	SINGLEP	DELAYED6 TID54 Could not find a faction with name <NeinzulCustodiansParent> that is eligible to be random for NeinzulAbyss
4/21/2022 4:25:39 PM	4.025	SINGLEP	DELAYED7 TID54 Could not find a faction with name <MigrantFleets> that is eligible to be random for NeinzulAbyss
4/21/2022 4:25:39 PM	4.025	SINGLEP	DELAYED8 TID54 Could not find a faction with name <NeinzulWildHives> that is eligible to be random for NeinzulAbyss
4/21/2022 4:25:39 PM	4.025	SINGLEP	Background Radiation Taste Test (0.0890s)
4/21/2022 4:25:39 PM	4.025	SINGLEP	Shuffling Chairs On Command Deck (0.0450s)
4/21/2022 4:25:40 PM	4.025	SINGLEP	Windshield Wiping (0.2980s)
4/21/2022 4:25:41 PM	4.025	SINGLEP	Last Organizational Modeling (1.0750s)
4/21/2022 4:25:41 PM	4.025	SINGLEP	Stimulate Modulation (0.5640s)
4/21/2022 4:25:41 PM	4.025	SINGLEP	ArcenAssetBundleCache.InstantiatedObjects: 0
4/21/2022 4:25:41 PM	4.025	SINGLEP	Order Cores By Seniority (0.0350s)
4/21/2022 4:25:41 PM	4.025	SINGLEP	DELAYED9 TID18 Info: will dump 1450 rows for GameEntityReferenceData.csv and GameEntityStrengthList.txt.
4/21/2022 4:25:42 PM	4.025	SINGLEP	We got 14 campaign's data when deserializing
4/21/2022 4:25:42 PM	4.025	SINGLEP	Final Checks (1.1310s)
4/21/2022 4:25:42 PM	4.025	SINGLEP	Load Historical Documents (0.0200s)
4/21/2022 4:25:43 PM	4.025	SINGLEP	101.2 seconds total load time.
Boot up FleetOS (0.5s)
Check System Logs For Rogue Intelligence (1.1s)
Inspect Aft Hatches (1.0s)
Check For Extra Modules (8.5s)
Pruning Excess Brain Cells (0.6s)
Remembering Alamo (1.5s)
Calculate Odds Of Success (3.8s)
Briefly Panic (2.3s)
Install Confidence Routines (0.8s)
Late Axionic Computations (6.9s)
Inhibiting Visual Scans (0.3s)
Ejecting Tactical Core (1.9s)
Listening To Starfields (6.6s)
Screening Distant Planets (3.7s)
Ejecting Ship Parts Into Space (1.4s)
Download Extra RAM (56.2s)
Windshield Wiping (0.3s)
Last Organizational Modeling (1.1s)
Stimulate Modulation (0.6s)
Final Checks (1.1s)
4/21/2022 4:25:44 PM	4.025	SINGLEP	Hello Steam user 'Zer0h1nder'
4/21/2022 4:26:44 PM	4.025	HOST	Start load save: D:/Programme (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
4/21/2022 4:26:44 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:26:46 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Main.
4/21/2022 4:26:46 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Frequent.
4/21/2022 4:26:46 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Bulky1.
4/21/2022 4:26:46 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Bulky2.
4/21/2022 4:26:46 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Bulky3.
4/21/2022 4:26:46 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:26:46 PM	4.025	HOST	null possible names for planet Type: Normal so we go into Malkovich mode.
4/21/2022 4:26:46 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:26:46 PM	4.025	HOST	loading as template
4/21/2022 4:26:46 PM	4.025	HOST	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
4/21/2022 4:26:46 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
4/21/2022 4:26:46 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
4/21/2022 4:26:46 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
4/21/2022 4:26:46 PM	4.025	HOST	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
4/21/2022 4:26:46 PM	4.025	HOST	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
4/21/2022 4:26:46 PM	4.025	HOST	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
4/21/2022 4:26:46 PM	4.025	HOST	Fix Missing Faction: Added the faction WormholeInvasion because every game should have exactly one of these.
4/21/2022 4:26:46 PM	4.025	HOST	Finish load save in 2,329ms
4/21/2022 4:26:46 PM	4.025	HOST	DELAYED10 TID46 Start Generate Partial Map with Clusters and seed 5587421 and planet count 80 and 20 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 4:26:46 PM	4.025	HOST	DELAYED11 TID46 Map structure generated in 53ms.
4/21/2022 4:26:46 PM	4.025	HOST	DELAYED12 TID46 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Human Ark Empire.
4/21/2022 4:26:46 PM	4.025	HOST	DELAYED13 TID46 Generate Partial Map Complete  206ms Seed: 5587421
4/21/2022 4:34:13 PM	4.025	HOST	DELAYED14 TID35 Start Generate Partial Map with Clusters and seed 5587421 and planet count 80 and 35 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything) Logging OFF
4/21/2022 4:34:13 PM	4.025	HOST	DELAYED15 TID35 PlayerAccount Zer0h1nder is controlling faction 1 - Human Ark Empire already.
4/21/2022 4:34:13 PM	4.025	HOST	DELAYED16 TID35 Generate Partial Map Complete  45ms Seed: 5587421
4/21/2022 4:35:17 PM	4.025	HOST	DELAYED17 TID34 Start Generate Partial Map with Clusters and seed 5587421 and planet count 80 and 36 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything) Logging OFF
4/21/2022 4:35:17 PM	4.025	HOST	DELAYED18 TID34 PlayerAccount Zer0h1nder is controlling faction 1 - Human Ark Empire already.
4/21/2022 4:35:17 PM	4.025	HOST	DELAYED19 TID34 Generate Partial Map Complete  33ms Seed: 5587421
4/21/2022 4:35:34 PM	4.025	HOST	DELAYED20 TID30 Start Generate Partial Map with Clusters and seed 5587421 and planet count 80 and 36 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything) Logging OFF
4/21/2022 4:35:34 PM	4.025	HOST	DELAYED21 TID30 PlayerAccount Zer0h1nder is controlling faction 1 - Human Ark Empire already.
4/21/2022 4:35:34 PM	4.025	HOST	DELAYED22 TID30 Generate Partial Map Complete  30ms Seed: 5587421
4/21/2022 4:36:03 PM	4.025	HOST	DELAYED23 TID37 Start Generate Partial Map with Clusters and seed 5587421 and planet count 80 and 37 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything) Logging OFF
4/21/2022 4:36:03 PM	4.025	HOST	DELAYED24 TID37 PlayerAccount Zer0h1nder is controlling faction 1 - Human Ark Empire already.
4/21/2022 4:36:03 PM	4.025	HOST	DELAYED25 TID37 Generate Partial Map Complete  43ms Seed: 5587421
4/21/2022 4:36:38 PM	4.025	HOST	DELAYED26 TID40 Start Generate Partial Map with Clusters and seed 5587421 and planet count 80 and 38 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything) Logging OFF
4/21/2022 4:36:38 PM	4.025	HOST	DELAYED27 TID40 PlayerAccount Zer0h1nder is controlling faction 1 - Human Ark Empire already.
4/21/2022 4:36:38 PM	4.025	HOST	DELAYED28 TID40 Generate Partial Map Complete  32ms Seed: 5587421
4/21/2022 4:37:01 PM	4.025	HOST	DELAYED29 TID30 Start Generate Partial Map with Clusters and seed 5587421 and planet count 80 and 37 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything) Logging OFF
4/21/2022 4:37:02 PM	4.025	HOST	DELAYED30 TID30 PlayerAccount Zer0h1nder is controlling faction 1 - Human Ark Empire already.
4/21/2022 4:37:02 PM	4.025	HOST	DELAYED31 TID30 Generate Partial Map Complete  40ms Seed: 5587421
4/21/2022 4:37:52 PM	4.025	HOST	DELAYED32 TID47 Start Generate Partial Map with Clusters and seed 5587421 and planet count 80 and 37 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything) Logging OFF
4/21/2022 4:37:52 PM	4.025	HOST	DELAYED33 TID47 PlayerAccount Zer0h1nder is controlling faction 1 - Human Ark Empire already.
4/21/2022 4:37:52 PM	4.025	HOST	DELAYED34 TID47 Generate Partial Map Complete  31ms Seed: 5587421
4/21/2022 4:42:12 PM	4.025	HOST	DELAYED35 TID12 Start Generate Partial Map with Clusters and seed 5587421 and planet count 80 and 37 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything) Logging OFF
4/21/2022 4:42:12 PM	4.025	HOST	DELAYED36 TID12 PlayerAccount Zer0h1nder is controlling faction 1 - Spire-Infused Empire already.
4/21/2022 4:42:12 PM	4.025	HOST	DELAYED37 TID12 Generate Partial Map Complete  32ms Seed: 5587421
4/21/2022 4:42:25 PM	4.025	HOST	DELAYED38 TID31 Start Generate Partial Map with Clusters and seed 5587421 and planet count 80 and 37 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything) Logging OFF
4/21/2022 4:42:25 PM	4.025	HOST	DELAYED39 TID31 PlayerAccount Zer0h1nder is controlling faction 1 - Spire-Infused Empire already.
4/21/2022 4:42:25 PM	4.025	HOST	DELAYED40 TID31 Generate Partial Map Complete  32ms Seed: 5587421
4/21/2022 4:42:33 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:42:33 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:42:33 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:42:33 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:42:33 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED41 TID53 STEAM RELAY SOCKET NETWORK: Main Socket connection started from PraiseTheMangology connected.
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED42 TID59 STEAM RELAY SOCKET NETWORK: Bulky1 Socket added to connection from PraiseTheMangology.
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED43 TID59 STEAM RELAY SOCKET NETWORK: Bulky2 Socket added to connection from PraiseTheMangology.
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED44 TID59 STEAM RELAY SOCKET NETWORK: Bulky3 Socket added to connection from PraiseTheMangology.
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED45 TID59 STEAM RELAY SOCKET NETWORK: Frequent Socket added to connection from PraiseTheMangology.
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED46 TID59 STEAM RELAY SOCKET NETWORK: All socket connections from PraiseTheMangology complete, so responding.
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED47 TID24 Client requested to join with the name 'Mango'
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED48 TID24 Tell client 'Mango' that they are accepted, player account #1.
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED49 TID24 Regenerate the world to include the new player.  All clients will get the new world data after that.
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED50 TID34 Start Generate Partial Map with Clusters and seed 5587421 and planet count 80 and 37 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything) Logging OFF
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED51 TID34 PlayerAccount Zer0h1nder is controlling faction 1 - Spire-Infused Empire already.
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED52 TID34 PlayerAccount Mango is controlling faction 13 - Human Ark Empire already.
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED53 TID34 Generate Partial Map Complete  43ms Seed: 5587421
4/21/2022 4:42:33 PM	4.025	HOST	DELAYED54 TID34 Send all clients the world data that has just been regenerated.
4/21/2022 4:45:23 PM	4.025	HOST	DELAYED55 TID53 Start Generate FULL Map with Clusters and seed 5587421 and planet count 80 and 37 factions (StartingMainGameAfterLobby NotLoadingAnything) Logging OFF
4/21/2022 4:45:25 PM	4.025	HOST	DELAYED56 TID53 Generate FULL Map Complete  1151ms Seed: 5587421
4/21/2022 4:45:25 PM	4.025	HOST	DELAYED57 TID65 Fixed incorrect count of ships to be granted.  Was 4, now 1 Drone Reclamator from Other Defensive Schematic Server
4/21/2022 4:45:25 PM	4.025	HOST	DELAYED58 TID65 Fixed incorrect count of ships to be granted.  Was 10, now 3 V-Wing Drone Hangar from Other Defensive Schematic Server
4/21/2022 4:45:25 PM	4.025	HOST	DELAYED59 TID65 Fixed incorrect count of ships to be granted.  Was 1, now 10 Fragmenting Minefield from Other Defensive Schematic Server
4/21/2022 4:45:26 PM	4.025	HOST	DELAYED60 TID9 Added new fleet: countOfFleetsActuallyHere: 0 intendedNumberOfFleets: 1 PlayerCustomCityFedMobile
4/21/2022 4:46:34 PM	4.025	HOST	
Memory Profile Debug Data On Game Exit:
Game Version: 4025_LightningConduction
Multiplayer Status: Host
==========================================
==========================================
Network Data Totals:
Framework: <color=#ab78ba>C-Tier:</color> Steam Multi-Port (Relayed)
Received Overall: 48,240
Received Overall: 732.2 KB
Sent Overall: 8,647
Sent Overall: 737.5 KB
Network Active For: 0 hours, 3 minutes, 60 seconds.
6,530 Sent Main       | 530.6 KB Sent Main
181 Sent Frequent       | 8.3 KB Sent Frequent
14 Sent Bulky-1       | 25.2 KB Sent Bulky-1
37 Sent Bulky-2       | 3.2 KB Sent Bulky-2
1,885 Sent Bulky-3       | 170.1 KB Sent Bulky-3
Mango - 47.0ms Ping 21 frames Behind 

    0 Sync Cycles
    FactionBasics Sync Stage (30)
    0 Waiting For Sync Acks
    0 Sync Acks Skipped
    2 Waiting For Ship Acks
    0 Ship  Acks Skipped
    166 Srv Ships Needing Sync Fix
    
    0 Ship Sync Cycles Complete
    
    2,028 Sh Syncs f/Mismatch
    0 Sh Syncs Voluntary
    1,885 Ship Syncs Sent
    23 Ship Syncs Forced
    2,005 Sh Sy Chk
    25.2 KB Of Ship Sync Checks
    1,885 Div Sh
    170.1 KB Of Divergent Ship Fixes
    0 Divergent Sh Deletions
    0 Duplicate Sh Syn Skips
    23 Sh Syncs Skipped
    0 Tier 3 Plan Sync Cycle
    0s Since Oldest Skip-Sync
    21 Ultra Freq Syncs
    7.4 KB Of Ultra Freq Syncs
    3 Fast Blasts
    55.6 KB Of Fast Blasts
    0 Omni Blasts
    0 Bytes Of Omni Blasts
    30 Faction Syncs
    1.9 KB Of Faction Syncs
    0 Fac-Ex Syncs
    0 Bytes Of Fac-Ex Syncs
    7 Fleet Syncs
    1.3 KB Of Fleet Syncs
    0 Planet Syncs
    0 Bytes Of Planet Syncs
    0 P-Faction Syncs
    0 Bytes Of P-Faction Syncs
    0 World Basic Syncs
    0 Bytes Of World Basic Syncs
    0 World External Syncs
    0 Bytes Of World External Syncs
    766 Ships Blasted
    0 Shots Blasted
    0 Others Blasted
    2 Fleets Blasted
    26 Deaths Blasted
    
    0 Speed Groups Created On Host==========================================

4/21/2022 4:46:34 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:46:38 PM	4.025	HOST	Start load save: D:/Programme (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
4/21/2022 4:46:38 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:46:38 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Main.
4/21/2022 4:46:38 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Frequent.
4/21/2022 4:46:38 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Bulky1.
4/21/2022 4:46:38 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Bulky2.
4/21/2022 4:46:38 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Bulky3.
4/21/2022 4:46:38 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:46:38 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:46:38 PM	4.025	HOST	loading as template
4/21/2022 4:46:38 PM	4.025	HOST	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
4/21/2022 4:46:38 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
4/21/2022 4:46:38 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
4/21/2022 4:46:38 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
4/21/2022 4:46:38 PM	4.025	HOST	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
4/21/2022 4:46:38 PM	4.025	HOST	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
4/21/2022 4:46:38 PM	4.025	HOST	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
4/21/2022 4:46:38 PM	4.025	HOST	Fix Missing Faction: Added the faction WormholeInvasion because every game should have exactly one of these.
4/21/2022 4:46:38 PM	4.025	HOST	Finish load save in 172ms
4/21/2022 4:46:38 PM	4.025	HOST	DELAYED66 TID9 Start Generate Partial Map with Clusters and seed 948989446 and planet count 80 and 21 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 4:46:38 PM	4.025	HOST	DELAYED67 TID9 Map structure generated in 24ms.
4/21/2022 4:46:38 PM	4.025	HOST	DELAYED68 TID9 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 4:46:38 PM	4.025	HOST	DELAYED69 TID9 Generate Partial Map Complete  49ms Seed: 948989446
4/21/2022 4:46:38 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:46:38 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:46:38 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:46:38 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:46:38 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED70 TID18 STEAM RELAY SOCKET NETWORK: Main Socket connection started from PraiseTheMangology connected.
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED71 TID12 STEAM RELAY SOCKET NETWORK: Frequent Socket added to connection from PraiseTheMangology.
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED72 TID24 STEAM RELAY SOCKET NETWORK: Bulky1 Socket added to connection from PraiseTheMangology.
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED73 TID36 STEAM RELAY SOCKET NETWORK: Bulky2 Socket added to connection from PraiseTheMangology.
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED74 TID43 STEAM RELAY SOCKET NETWORK: Bulky3 Socket added to connection from PraiseTheMangology.
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED75 TID43 STEAM RELAY SOCKET NETWORK: All socket connections from PraiseTheMangology complete, so responding.
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED76 TID58 Client requested to join with the name 'Mango'
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED77 TID58 Tell client 'Mango' that they are accepted, player account #1.
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED78 TID58 Regenerate the world to include the new player.  All clients will get the new world data after that.
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED79 TID26 Start Generate Partial Map with Clusters and seed 948989446 and planet count 80 and 37 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED80 TID26 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED81 TID26 PlayerAccount Mango has now been put in control of faction 13 - Human Ark Empire.
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED82 TID26 Generate Partial Map Complete  34ms Seed: 948989446
4/21/2022 4:46:39 PM	4.025	HOST	DELAYED83 TID26 Send all clients the world data that has just been regenerated.
4/21/2022 4:46:55 PM	4.025	HOST	DELAYED84 TID59 Start Generate Partial Map with Clusters and seed 6307973 and planet count 80 and 37 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything) Logging OFF
4/21/2022 4:46:56 PM	4.025	HOST	DELAYED85 TID59 Map structure generated in 9ms.
4/21/2022 4:46:56 PM	4.025	HOST	DELAYED86 TID59 PlayerAccount Zer0h1nder is controlling faction 1 - Spire-Infused Empire already.
4/21/2022 4:46:56 PM	4.025	HOST	DELAYED87 TID59 PlayerAccount Mango is controlling faction 13 - Human Ark Empire already.
4/21/2022 4:46:56 PM	4.025	HOST	DELAYED88 TID59 Generate Partial Map Complete  39ms Seed: 6307973
4/21/2022 4:47:48 PM	4.025	HOST	DELAYED89 TID39 Start Generate FULL Map with Clusters and seed 6307973 and planet count 80 and 37 factions (StartingMainGameAfterLobby NotLoadingAnything) Logging OFF
4/21/2022 4:47:48 PM	4.025	HOST	DELAYED90 TID39 Generate FULL Map Complete  416ms Seed: 6307973
4/21/2022 4:47:49 PM	4.025	HOST	DELAYED91 TID49 Added new fleet: countOfFleetsActuallyHere: 0 intendedNumberOfFleets: 1 PlayerCustomCityFedMobile
4/21/2022 4:49:04 PM	4.025	HOST	
Memory Profile Debug Data On Game Exit:
Game Version: 4025_LightningConduction
Multiplayer Status: Host
==========================================
==========================================
Network Data Totals:
Framework: <color=#ab78ba>C-Tier:</color> Steam Multi-Port (Relayed)
Received Overall: 2,846
Received Overall: 264.1 KB
Sent Overall: 2,799
Sent Overall: 587.3 KB
Network Active For: 0 hours, 2 minutes, 24 seconds.
2,544 Sent Main       | 567.0 KB Sent Main
116 Sent Frequent       | 7.8 KB Sent Frequent
1 Sent Bulky-1       | 2.1 KB Sent Bulky-1
5 Sent Bulky-2       | 324 Bytes Sent Bulky-2
133 Sent Bulky-3       | 10.1 KB Sent Bulky-3
Mango - 48.0ms Ping 0 frames Behind 

    0 Sync Cycles
    FactionBasics Sync Stage (35)
    6 Waiting For Sync Acks
    0 Sync Acks Skipped
    20 Waiting For Ship Acks
    0 Ship  Acks Skipped
    0 Srv Ships Needing Sync Fix
    
    0 Ship Sync Cycles Complete
    
    133 Sh Syncs f/Mismatch
    0 Sh Syncs Voluntary
    133 Ship Syncs Sent
    0 Ship Syncs Forced
    133 Sh Sy Chk
    2.1 KB Of Ship Sync Checks
    133 Div Sh
    10.1 KB Of Divergent Ship Fixes
    0 Divergent Sh Deletions
    0 Duplicate Sh Syn Skips
    0 Sh Syncs Skipped
    0 Tier 3 Plan Sync Cycle
    0s Since Oldest Skip-Sync
    21 Ultra Freq Syncs
    7.3 KB Of Ultra Freq Syncs
    6 Fast Blasts
    56.4 KB Of Fast Blasts
    0 Omni Blasts
    0 Bytes Of Omni Blasts
    5 Faction Syncs
    324 Bytes Of Faction Syncs
    0 Fac-Ex Syncs
    0 Bytes Of Fac-Ex Syncs
    0 Fleet Syncs
    0 Bytes Of Fleet Syncs
    0 Planet Syncs
    0 Bytes Of Planet Syncs
    0 P-Faction Syncs
    0 Bytes Of P-Faction Syncs
    0 World Basic Syncs
    0 Bytes Of World Basic Syncs
    0 World External Syncs
    0 Bytes Of World External Syncs
    848 Ships Blasted
    0 Shots Blasted
    0 Others Blasted
    1 Fleets Blasted
    5 Deaths Blasted
    
    0 Speed Groups Created On Host==========================================

4/21/2022 4:49:04 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:49:04 PM	4.025	SINGLEP	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology disconnected.
4/21/2022 4:49:04 PM	4.025	SINGLEP	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology disconnected.
4/21/2022 4:49:04 PM	4.025	SINGLEP	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology disconnected.
4/21/2022 4:49:04 PM	4.025	SINGLEP	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology disconnected.
4/21/2022 4:49:04 PM	4.025	SINGLEP	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology disconnected.
4/21/2022 4:49:06 PM	4.025	HOST	Start load save: D:/Programme (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
4/21/2022 4:49:06 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:49:06 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Main.
4/21/2022 4:49:06 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Frequent.
4/21/2022 4:49:06 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Bulky1.
4/21/2022 4:49:06 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Bulky2.
4/21/2022 4:49:06 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Opening host channel: Bulky3.
4/21/2022 4:49:06 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:49:06 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:49:06 PM	4.025	HOST	loading as template
4/21/2022 4:49:06 PM	4.025	HOST	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
4/21/2022 4:49:06 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
4/21/2022 4:49:06 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
4/21/2022 4:49:06 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
4/21/2022 4:49:06 PM	4.025	HOST	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
4/21/2022 4:49:06 PM	4.025	HOST	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
4/21/2022 4:49:06 PM	4.025	HOST	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
4/21/2022 4:49:06 PM	4.025	HOST	Fix Missing Faction: Added the faction WormholeInvasion because every game should have exactly one of these.
4/21/2022 4:49:06 PM	4.025	HOST	Finish load save in 197ms
4/21/2022 4:49:06 PM	4.025	HOST	DELAYED92 TID21 Start Generate Partial Map with Clusters and seed 833404346 and planet count 80 and 21 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 4:49:06 PM	4.025	HOST	DELAYED93 TID21 Map structure generated in 8ms.
4/21/2022 4:49:06 PM	4.025	HOST	DELAYED94 TID21 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 4:49:06 PM	4.025	HOST	DELAYED95 TID21 Generate Partial Map Complete  31ms Seed: 833404346
4/21/2022 4:49:09 PM	4.025	HOST	DELAYED96 TID33 STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:49:09 PM	4.025	HOST	DELAYED97 TID33 STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:49:09 PM	4.025	HOST	DELAYED98 TID33 STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:49:09 PM	4.025	HOST	DELAYED99 TID33 STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:49:09 PM	4.025	HOST	DELAYED100 TID33 STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology to be accepted.
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED101 TID32 STEAM RELAY SOCKET NETWORK: Main Socket connection started from PraiseTheMangology connected.
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED102 TID14 STEAM RELAY SOCKET NETWORK: Frequent Socket added to connection from PraiseTheMangology.
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED103 TID53 STEAM RELAY SOCKET NETWORK: Bulky1 Socket added to connection from PraiseTheMangology.
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED104 TID52 STEAM RELAY SOCKET NETWORK: Bulky2 Socket added to connection from PraiseTheMangology.
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED105 TID64 STEAM RELAY SOCKET NETWORK: Bulky3 Socket added to connection from PraiseTheMangology.
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED106 TID64 STEAM RELAY SOCKET NETWORK: All socket connections from PraiseTheMangology complete, so responding.
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED107 TID8 Client requested to join with the name 'Mango'
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED108 TID8 Tell client 'Mango' that they are accepted, player account #1.
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED109 TID8 Regenerate the world to include the new player.  All clients will get the new world data after that.
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED110 TID8 Start Generate Partial Map with Clusters and seed 833404346 and planet count 80 and 37 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED111 TID8 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED112 TID8 PlayerAccount Mango has now been put in control of faction 13 - Human Ark Empire.
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED113 TID8 Generate Partial Map Complete  31ms Seed: 833404346
4/21/2022 4:49:10 PM	4.025	HOST	DELAYED114 TID8 Send all clients the world data that has just been regenerated.
4/21/2022 4:50:17 PM	4.025	HOST	DELAYED115 TID28 Start Generate FULL Map with Clusters and seed 833404346 and planet count 80 and 37 factions (StartingMainGameAfterLobby NotLoadingAnything) Logging OFF
4/21/2022 4:50:17 PM	4.025	HOST	DELAYED116 TID28 Generate FULL Map Complete  492ms Seed: 833404346
4/21/2022 4:50:18 PM	4.025	HOST	DELAYED117 TID34 Fixed incorrect count of ships to be granted.  Was 10, now 6 Tractor Array from Other Defensive Schematic Server
4/21/2022 4:50:18 PM	4.025	HOST	DELAYED118 TID58 Added new fleet: countOfFleetsActuallyHere: 0 intendedNumberOfFleets: 1 PlayerCustomCityFedMobile
4/21/2022 4:50:38 PM	4.025	HOST	Canary code mismatch at SendClientCommandsToServer-Canary ('' instead of 'iS8Y').  Code above it is the real problem.
4/21/2022 4:51:05 PM	4.025	HOST	DELAYED119 TID53 Client Mango (connection 1) has closed their connection.
4/21/2022 4:51:05 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology disconnected.
4/21/2022 4:51:05 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology disconnected.
4/21/2022 4:51:05 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology disconnected.
4/21/2022 4:51:05 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology disconnected.
4/21/2022 4:51:05 PM	4.025	HOST	STEAM RELAY SOCKET NETWORK: Connection from PraiseTheMangology disconnected.
4/21/2022 4:51:06 PM	4.025	HOST	
Memory Profile Debug Data On Game Exit:
Game Version: 4025_LightningConduction
Multiplayer Status: Host
==========================================
==========================================
Network Data Totals:
Framework: <color=#ab78ba>C-Tier:</color> Steam Multi-Port (Relayed)
Received Overall: 2,672
Received Overall: 202.4 KB
Sent Overall: 2,530
Sent Overall: 505.9 KB
Network Active For: 0 hours, 1 minutes, 55 seconds.
2,303 Sent Main       | 486.3 KB Sent Main
98 Sent Frequent       | 7.9 KB Sent Frequent
1 Sent Bulky-1       | 2.0 KB Sent Bulky-1
2 Sent Bulky-2       | 129 Bytes Sent Bulky-2
126 Sent Bulky-3       | 9.6 KB Sent Bulky-3

    0 Sync Cycles
    FactionExter Sync Stage (-1)
    6 Waiting For Sync Acks
    0 Sync Acks Skipped
    20 Waiting For Ship Acks
    0 Ship  Acks Skipped
    0 Srv Ships Needing Sync Fix
    
    0 Ship Sync Cycles Complete
    
    126 Sh Syncs f/Mismatch
    0 Sh Syncs Voluntary
    126 Ship Syncs Sent
    0 Ship Syncs Forced
    126 Sh Sy Chk
    2.0 KB Of Ship Sync Checks
    126 Div Sh
    9.6 KB Of Divergent Ship Fixes
    0 Divergent Sh Deletions
    0 Duplicate Sh Syn Skips
    0 Sh Syncs Skipped
    0 Tier 3 Plan Sync Cycle
    0s Since Oldest Skip-Sync
    21 Ultra Freq Syncs
    7.5 KB Of Ultra Freq Syncs
    4 Fast Blasts
    80.3 KB Of Fast Blasts
    0 Omni Blasts
    0 Bytes Of Omni Blasts
    2 Faction Syncs
    129 Bytes Of Faction Syncs
    0 Fac-Ex Syncs
    0 Bytes Of Fac-Ex Syncs
    0 Fleet Syncs
    0 Bytes Of Fleet Syncs
    0 Planet Syncs
    0 Bytes Of Planet Syncs
    0 P-Faction Syncs
    0 Bytes Of P-Faction Syncs
    0 World Basic Syncs
    0 Bytes Of World Basic Syncs
    0 World External Syncs
    0 Bytes Of World External Syncs
    1,209 Ships Blasted
    0 Shots Blasted
    0 Others Blasted
    1 Fleets Blasted
    14 Deaths Blasted
    
    0 Speed Groups Created On Host==========================================

4/21/2022 4:51:06 PM	4.025	SINGLEP	Clearing player accounts.
4/21/2022 4:52:05 PM	4.025	HOST	Start load save: D:/Programme (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
4/21/2022 4:52:05 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:52:05 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:52:05 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:52:05 PM	4.025	HOST	loading as template
4/21/2022 4:52:05 PM	4.025	HOST	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
4/21/2022 4:52:05 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
4/21/2022 4:52:05 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
4/21/2022 4:52:05 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
4/21/2022 4:52:05 PM	4.025	HOST	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
4/21/2022 4:52:05 PM	4.025	HOST	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
4/21/2022 4:52:05 PM	4.025	HOST	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
4/21/2022 4:52:05 PM	4.025	HOST	Fix Missing Faction: Added the faction WormholeInvasion because every game should have exactly one of these.
4/21/2022 4:52:05 PM	4.025	HOST	Finish load save in 247ms
4/21/2022 4:52:05 PM	4.025	HOST	DELAYED120 TID5 Start Generate Partial Map with Clusters and seed 643747423 and planet count 80 and 21 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 4:52:05 PM	4.025	HOST	DELAYED121 TID5 Map structure generated in 9ms.
4/21/2022 4:52:05 PM	4.025	HOST	DELAYED122 TID5 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 4:52:05 PM	4.025	HOST	DELAYED123 TID5 Generate Partial Map Complete  36ms Seed: 643747423
4/21/2022 4:54:39 PM	4.025	SINGLEP	Clearing player accounts.
4/21/2022 4:55:13 PM	4.025	HOST	Start load save: D:/Programme (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
4/21/2022 4:55:13 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:55:13 PM	4.025	HOST	STEAM DIRECT SOCKET NETWORK: Opening host channel: Main.
4/21/2022 4:55:13 PM	4.025	HOST	STEAM DIRECT SOCKET NETWORK: Opening host channel: Frequent.
4/21/2022 4:55:13 PM	4.025	HOST	STEAM DIRECT SOCKET NETWORK: Opening host channel: Bulky1.
4/21/2022 4:55:13 PM	4.025	HOST	STEAM DIRECT SOCKET NETWORK: Opening host channel: Bulky2.
4/21/2022 4:55:13 PM	4.025	HOST	STEAM DIRECT SOCKET NETWORK: Opening host channel: Bulky3.
4/21/2022 4:55:13 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:55:13 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:55:13 PM	4.025	HOST	loading as template
4/21/2022 4:55:13 PM	4.025	HOST	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
4/21/2022 4:55:13 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
4/21/2022 4:55:13 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
4/21/2022 4:55:13 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
4/21/2022 4:55:13 PM	4.025	HOST	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
4/21/2022 4:55:13 PM	4.025	HOST	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
4/21/2022 4:55:13 PM	4.025	HOST	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
4/21/2022 4:55:13 PM	4.025	HOST	Fix Missing Faction: Added the faction WormholeInvasion because every game should have exactly one of these.
4/21/2022 4:55:13 PM	4.025	HOST	Finish load save in 180ms
4/21/2022 4:55:13 PM	4.025	HOST	DELAYED124 TID43 Start Generate Partial Map with Clusters and seed 209372953 and planet count 80 and 21 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 4:55:13 PM	4.025	HOST	DELAYED125 TID43 Map structure generated in 9ms.
4/21/2022 4:55:13 PM	4.025	HOST	DELAYED126 TID43 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 4:55:13 PM	4.025	HOST	DELAYED127 TID43 Generate Partial Map Complete  34ms Seed: 209372953
4/21/2022 4:55:49 PM	4.025	SINGLEP	Clearing player accounts.
4/21/2022 4:55:50 PM	4.025	HOST	Start load save: D:/Programme (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
4/21/2022 4:55:50 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:55:50 PM	4.025	HOST	STEAM DIRECT SOCKET NETWORK: Opening host channel: Main.
4/21/2022 4:55:50 PM	4.025	HOST	STEAM DIRECT SOCKET NETWORK: Opening host channel: Frequent.
4/21/2022 4:55:50 PM	4.025	HOST	STEAM DIRECT SOCKET NETWORK: Opening host channel: Bulky1.
4/21/2022 4:55:50 PM	4.025	HOST	STEAM DIRECT SOCKET NETWORK: Opening host channel: Bulky2.
4/21/2022 4:55:50 PM	4.025	HOST	STEAM DIRECT SOCKET NETWORK: Opening host channel: Bulky3.
4/21/2022 4:55:50 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:55:50 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:55:50 PM	4.025	HOST	loading as template
4/21/2022 4:55:50 PM	4.025	HOST	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
4/21/2022 4:55:50 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
4/21/2022 4:55:50 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
4/21/2022 4:55:50 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
4/21/2022 4:55:50 PM	4.025	HOST	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
4/21/2022 4:55:50 PM	4.025	HOST	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
4/21/2022 4:55:50 PM	4.025	HOST	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
4/21/2022 4:55:50 PM	4.025	HOST	Fix Missing Faction: Added the faction WormholeInvasion because every game should have exactly one of these.
4/21/2022 4:55:50 PM	4.025	HOST	Finish load save in 172ms
4/21/2022 4:55:50 PM	4.025	HOST	DELAYED128 TID33 Start Generate Partial Map with Clusters and seed 729005737 and planet count 80 and 21 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 4:55:50 PM	4.025	HOST	DELAYED129 TID33 Map structure generated in 9ms.
4/21/2022 4:55:50 PM	4.025	HOST	DELAYED130 TID33 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 4:55:50 PM	4.025	HOST	DELAYED131 TID33 Generate Partial Map Complete  32ms Seed: 729005737
4/21/2022 4:55:51 PM	4.025	SINGLEP	Clearing player accounts.
4/21/2022 4:55:57 PM	4.025	HOST	Start load save: D:/Programme (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
4/21/2022 4:55:57 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:55:57 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:55:57 PM	4.025	HOST	Clearing player accounts.
4/21/2022 4:55:57 PM	4.025	HOST	loading as template
4/21/2022 4:55:57 PM	4.025	HOST	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
4/21/2022 4:55:57 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
4/21/2022 4:55:57 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
4/21/2022 4:55:57 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
4/21/2022 4:55:57 PM	4.025	HOST	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
4/21/2022 4:55:57 PM	4.025	HOST	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
4/21/2022 4:55:57 PM	4.025	HOST	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
4/21/2022 4:55:57 PM	4.025	HOST	Fix Missing Faction: Added the faction WormholeInvasion because every game should have exactly one of these.
4/21/2022 4:55:57 PM	4.025	HOST	Finish load save in 191ms
4/21/2022 4:55:57 PM	4.025	HOST	DELAYED132 TID33 Start Generate Partial Map with Clusters and seed 32252902 and planet count 80 and 21 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 4:55:57 PM	4.025	HOST	DELAYED133 TID33 Map structure generated in 10ms.
4/21/2022 4:55:57 PM	4.025	HOST	DELAYED134 TID33 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 4:55:57 PM	4.025	HOST	DELAYED135 TID33 Generate Partial Map Complete  34ms Seed: 32252902
4/21/2022 4:57:04 PM	4.025	HOST	DELAYED136 TID9 LITENET NETWORKING: Connection incoming from: 192.168.178.20:49975
4/21/2022 4:57:04 PM	4.025	HOST	DELAYED137 TID24 Client requested to join with the name 'Mango'
4/21/2022 4:57:04 PM	4.025	HOST	DELAYED138 TID24 Tell client 'Mango' that they are accepted, player account #1.
4/21/2022 4:57:04 PM	4.025	HOST	DELAYED139 TID24 Regenerate the world to include the new player.  All clients will get the new world data after that.
4/21/2022 4:57:04 PM	4.025	HOST	DELAYED140 TID12 Start Generate Partial Map with Clusters and seed 32252902 and planet count 80 and 37 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 4:57:04 PM	4.025	HOST	DELAYED141 TID12 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 4:57:04 PM	4.025	HOST	DELAYED142 TID12 PlayerAccount Mango has now been put in control of faction 13 - Human Ark Empire.
4/21/2022 4:57:04 PM	4.025	HOST	DELAYED143 TID12 Generate Partial Map Complete  30ms Seed: 32252902
4/21/2022 4:57:04 PM	4.025	HOST	DELAYED144 TID12 Send all clients the world data that has just been regenerated.
4/21/2022 4:57:55 PM	4.025	HOST	DELAYED145 TID9 Start Generate FULL Map with Clusters and seed 32252902 and planet count 80 and 37 factions (StartingMainGameAfterLobby NotLoadingAnything) Logging OFF
4/21/2022 4:57:56 PM	4.025	HOST	DELAYED146 TID9 Generate FULL Map Complete  457ms Seed: 32252902
4/21/2022 4:57:56 PM	4.025	HOST	DELAYED147 TID49 Fixed incorrect count of ships to be granted.  Was 10, now 2 Holocene Missile Turret from Turret Schematic Server
4/21/2022 4:57:57 PM	4.025	HOST	DELAYED148 TID45 Added new fleet: countOfFleetsActuallyHere: 0 intendedNumberOfFleets: 1 PlayerCustomCityFedMobile
4/21/2022 4:59:15 PM	4.025	HOST	DELAYED149 TID24 Client Mango (connection 1) has closed their connection.
4/21/2022 4:59:52 PM	4.025	HOST	DELAYED150 TID31 LITENET NETWORKING: Connection incoming from: 192.168.178.20:58384
4/21/2022 4:59:52 PM	4.025	HOST	DELAYED151 TID42 Client requested to join with the name 'Mango'
4/21/2022 4:59:52 PM	4.025	HOST	DELAYED152 TID42 Tell client 'Mango' that they are accepted, player account #1.
4/21/2022 4:59:52 PM	4.025	HOST	DELAYED153 TID42 Send client 'Mango' the world data.
4/21/2022 5:00:03 PM	4.025	HOST	
Memory Profile Debug Data On Game Exit:
Game Version: 4025_LightningConduction
Multiplayer Status: Host
==========================================
==========================================
Network Data Totals:
Framework: <color=#ffd965>S-Tier:</color> Direct IP: LiteNetLib
Received Overall: 5,729
Received Overall: 1.2 MB
Sent Overall: 2,894
Sent Overall: 1.2 MB
Network Active For: 0 hours, 2 minutes, 58 seconds.
1,971 Sent Main       | 1,009.0 KB Sent Main
194 Sent Frequent       | 38.2 KB Sent Frequent
40 Sent Bulky-1       | 105.4 KB Sent Bulky-1
63 Sent Bulky-2       | 4.9 KB Sent Bulky-2
626 Sent Bulky-3       | 64.4 KB Sent Bulky-3
Mango - 96.0ms Ping 1 frames Behind 

    0 Sync Cycles
    FactionExter Sync Stage (25)
    0 Waiting For Sync Acks
    0 Sync Acks Skipped
    0 Waiting For Ship Acks
    1 Ship  Acks Skipped
    0 Srv Ships Needing Sync Fix
    
    2 Ship Sync Cycles Complete
    
    515 Sh Syncs f/Mismatch
    1 Sh Syncs Voluntary
    626 Ship Syncs Sent
    110 Ship Syncs Forced
    8,765 Sh Sy Chk
    105.3 KB Of Ship Sync Checks
    625 Div Sh
    64.4 KB Of Divergent Ship Fixes
    1 Divergent Sh Deletions
    0 Duplicate Sh Syn Skips
    110 Sh Syncs Skipped
    2 Tier 3 Plan Sync Cycle
    1s Since Oldest Skip-Sync
    103 Ultra Freq Syncs
    37.8 KB Of Ultra Freq Syncs
    77 Fast Blasts
    89.3 KB Of Fast Blasts
    0 Omni Blasts
    0 Bytes Of Omni Blasts
    37 Faction Syncs
    2.3 KB Of Faction Syncs
    25 Fac-Ex Syncs
    2.5 KB Of Fac-Ex Syncs
    1 Fleet Syncs
    109 Bytes Of Fleet Syncs
    0 Planet Syncs
    0 Bytes Of Planet Syncs
    0 P-Faction Syncs
    0 Bytes Of P-Faction Syncs
    0 World Basic Syncs
    0 Bytes Of World Basic Syncs
    0 World External Syncs
    0 Bytes Of World External Syncs
    1,168 Ships Blasted
    148 Shots Blasted
    0 Others Blasted
    6 Fleets Blasted
    95 Deaths Blasted
    
    2 Speed Groups Created On Host==========================================

4/21/2022 5:00:03 PM	4.025	HOST	Clearing player accounts.
4/21/2022 5:00:47 PM	4.025	HOST	Start load save: D:/Programme (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
4/21/2022 5:00:47 PM	4.025	HOST	Clearing player accounts.
4/21/2022 5:00:47 PM	4.025	HOST	Clearing player accounts.
4/21/2022 5:00:47 PM	4.025	HOST	Clearing player accounts.
4/21/2022 5:00:48 PM	4.025	HOST	loading as template
4/21/2022 5:00:48 PM	4.025	HOST	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
4/21/2022 5:00:48 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
4/21/2022 5:00:48 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
4/21/2022 5:00:48 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
4/21/2022 5:00:48 PM	4.025	HOST	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
4/21/2022 5:00:48 PM	4.025	HOST	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
4/21/2022 5:00:48 PM	4.025	HOST	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
4/21/2022 5:00:48 PM	4.025	HOST	Fix Missing Faction: Added the faction WormholeInvasion because every game should have exactly one of these.
4/21/2022 5:00:48 PM	4.025	HOST	Finish load save in 173ms
4/21/2022 5:00:48 PM	4.025	HOST	DELAYED154 TID47 Start Generate Partial Map with Clusters and seed 509107126 and planet count 80 and 21 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 5:00:48 PM	4.025	HOST	DELAYED155 TID47 Map structure generated in 14ms.
4/21/2022 5:00:48 PM	4.025	HOST	DELAYED156 TID47 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 5:00:48 PM	4.025	HOST	DELAYED157 TID47 Generate Partial Map Complete  43ms Seed: 509107126
4/21/2022 5:01:07 PM	4.025	HOST	DELAYED158 TID42 LITENET NETWORKING: Connection incoming from: 192.168.178.20:63189
4/21/2022 5:01:07 PM	4.025	HOST	DELAYED159 TID53 Client requested to join with the name 'Mango'
4/21/2022 5:01:07 PM	4.025	HOST	DELAYED160 TID53 Tell client 'Mango' that they are accepted, player account #1.
4/21/2022 5:01:07 PM	4.025	HOST	DELAYED161 TID53 Regenerate the world to include the new player.  All clients will get the new world data after that.
4/21/2022 5:01:07 PM	4.025	HOST	DELAYED162 TID53 Start Generate Partial Map with Clusters and seed 509107126 and planet count 80 and 37 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 5:01:07 PM	4.025	HOST	LITENET NETWORKING: Error:called SendMessageToSpecificClient on with TargetNetworkID=2 but none of the 1 players matched that (also clientStatuses did not have an entry for it).
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenLog_InnerOnMainThreadOnly (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.Universal.LiteNetSocket.SendMessageToSpecificClient_Inner (Arcen.Universal.ArcenSerializationBuffer buffer, System.UInt32 TargetNetworkID, Arcen.Universal.ArcenNetworkSendLogEntry LogEntry, Arcen.Universal.NetChannel Channel, System.String& FailureReason) [0x00000] in <74b14646f5a8459e9d5cdce3ac32fa90>:0 
  at Arcen.Universal.ArcenSocket.SendMessageToSpecificClient (Arcen.Universal.ArcenSerializationBuffer buffer, System.UInt32 TargetNetworkID, Arcen.Universal.ArcenNetworkSendLogEntry LogEntry, Arcen.Universal.NetChannel Channel, System.String& ErrorText) [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.Universal.ArcenNetworkAuthority.SendTheEachClientTheirPlayerPrimaryKeyIDBeforeWorldSend () [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.AIW2.Core.World_AIW2.OnHost_SendHostCommandsAndSuchToClients () [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessArbitraryFrameOnMainThread (System.Boolean& stalledWaitingOnConnections, System.String& reasonForNoVisualUpdates) [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateEngineUniversalFromMainThread () [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at ArcenGameController.Update () [0x00000] in <63e17e5173fc4267999e44b49e187469>:0 

4/21/2022 5:01:07 PM	4.025	HOST	MP Error: Peer not found with networkID of 2
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenLog_InnerOnMainThreadOnly (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.Universal.ArcenNetworkAuthority.SendTheEachClientTheirPlayerPrimaryKeyIDBeforeWorldSend () [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.AIW2.Core.World_AIW2.OnHost_SendHostCommandsAndSuchToClients () [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessArbitraryFrameOnMainThread (System.Boolean& stalledWaitingOnConnections, System.String& reasonForNoVisualUpdates) [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateEngineUniversalFromMainThread () [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at ArcenGameController.Update () [0x00000] in <63e17e5173fc4267999e44b49e187469>:0 

4/21/2022 5:01:07 PM	4.025	HOST	DELAYED163 TID53 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 5:01:07 PM	4.025	HOST	DELAYED164 TID53 PlayerAccount Mango has now been put in control of faction 13 - Human Ark Empire.
4/21/2022 5:01:07 PM	4.025	HOST	DELAYED165 TID53 Generate Partial Map Complete  27ms Seed: 509107126
4/21/2022 5:01:07 PM	4.025	HOST	DELAYED166 TID53 Send all clients the world data that has just been regenerated.
4/21/2022 5:01:25 PM	4.025	HOST	DELAYED167 TID8 Start Generate FULL Map with Clusters and seed 509107126 and planet count 80 and 37 factions (StartingMainGameAfterLobby NotLoadingAnything) Logging OFF
4/21/2022 5:01:25 PM	4.025	HOST	LITENET NETWORKING: Error:called SendMessageToSpecificClient on with TargetNetworkID=2 but none of the 1 players matched that (also clientStatuses did not have an entry for it).
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenLog_InnerOnMainThreadOnly (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.Universal.LiteNetSocket.SendMessageToSpecificClient_Inner (Arcen.Universal.ArcenSerializationBuffer buffer, System.UInt32 TargetNetworkID, Arcen.Universal.ArcenNetworkSendLogEntry LogEntry, Arcen.Universal.NetChannel Channel, System.String& FailureReason) [0x00000] in <74b14646f5a8459e9d5cdce3ac32fa90>:0 
  at Arcen.Universal.ArcenSocket.SendMessageToSpecificClient (Arcen.Universal.ArcenSerializationBuffer buffer, System.UInt32 TargetNetworkID, Arcen.Universal.ArcenNetworkSendLogEntry LogEntry, Arcen.Universal.NetChannel Channel, System.String& ErrorText) [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.Universal.ArcenNetworkAuthority.SendTheEachClientTheirPlayerPrimaryKeyIDBeforeWorldSend () [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.AIW2.Core.World_AIW2.OnHost_SendHostCommandsAndSuchToClients () [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessArbitraryFrameOnMainThread (System.Boolean& stalledWaitingOnConnections, System.String& reasonForNoVisualUpdates) [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateEngineUniversalFromMainThread () [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at ArcenGameController.Update () [0x00000] in <63e17e5173fc4267999e44b49e187469>:0 

4/21/2022 5:01:25 PM	4.025	HOST	MP Error: Peer not found with networkID of 2
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenLog_InnerOnMainThreadOnly (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.Universal.ArcenNetworkAuthority.SendTheEachClientTheirPlayerPrimaryKeyIDBeforeWorldSend () [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.AIW2.Core.World_AIW2.OnHost_SendHostCommandsAndSuchToClients () [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessArbitraryFrameOnMainThread (System.Boolean& stalledWaitingOnConnections, System.String& reasonForNoVisualUpdates) [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateEngineUniversalFromMainThread () [0x00000] in <bd930a126edd4b528fa375b3f7d96075>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <3a321ed2d8564f11b3b35c469b3f9364>:0 
  at ArcenGameController.Update () [0x00000] in <63e17e5173fc4267999e44b49e187469>:0 

4/21/2022 5:01:25 PM	4.025	HOST	DELAYED168 TID8 Generate FULL Map Complete  611ms Seed: 509107126
4/21/2022 5:01:25 PM	4.025	HOST	DELAYED169 TID26 Fixed incorrect count of ships to be granted.  Was 10, now 4 Metabolizing Gangsaw Drone Hangar from Other Defensive Schematic Server
4/21/2022 5:01:26 PM	4.025	HOST	DELAYED170 TID14 Added new fleet: countOfFleetsActuallyHere: 0 intendedNumberOfFleets: 1 PlayerCustomCityFedMobile
4/21/2022 5:01:51 PM	4.025	HOST	
Memory Profile Debug Data On Game Exit:
Game Version: 4025_LightningConduction
Multiplayer Status: Host
==========================================
==========================================
Network Data Totals:
Framework: <color=#ffd965>S-Tier:</color> Direct IP: LiteNetLib
Received Overall: 3,199
Received Overall: 164.5 KB
Sent Overall: 3,317
Sent Overall: 1.4 MB
Network Active For: 0 hours, 0 minutes, 44 seconds.
1,050 Sent Main       | 547.0 KB Sent Main
302 Sent Frequent       | 101.2 KB Sent Frequent
280 Sent Bulky-1       | 577.9 KB Sent Bulky-1
486 Sent Bulky-2       | 80.5 KB Sent Bulky-2
1,199 Sent Bulky-3       | 119.1 KB Sent Bulky-3
Mango - 43.0ms Ping 1 frames Behind 

    1 Sync Cycles
    FactionBasics Sync Stage (10)
    0 Waiting For Sync Acks
    0 Sync Acks Skipped
    1 Waiting For Ship Acks
    0 Ship  Acks Skipped
    0 Srv Ships Needing Sync Fix
    
    13 Ship Sync Cycles Complete
    
    1,154 Sh Syncs f/Mismatch
    0 Sh Syncs Voluntary
    1,200 Ship Syncs Sent
    46 Ship Syncs Forced
    47,965 Sh Sy Chk
    577.8 KB Of Ship Sync Checks
    1,198 Div Sh
    119.1 KB Of Divergent Ship Fixes
    2 Divergent Sh Deletions
    0 Duplicate Sh Syn Skips
    46 Sh Syncs Skipped
    5 Tier 3 Plan Sync Cycle
    0s Since Oldest Skip-Sync
    273 Ultra Freq Syncs
    101.0 KB Of Ultra Freq Syncs
    119 Fast Blasts
    85.5 KB Of Fast Blasts
    0 Omni Blasts
    0 Bytes Of Omni Blasts
    22 Faction Syncs
    1.4 KB Of Faction Syncs
    37 Fac-Ex Syncs
    2.4 KB Of Fac-Ex Syncs
    265 Fleet Syncs
    12.5 KB Of Fleet Syncs
    80 Planet Syncs
    13.7 KB Of Planet Syncs
    41 P-Faction Syncs
    44.5 KB Of P-Faction Syncs
    1 World Basic Syncs
    6.0 KB Of World Basic Syncs
    1 World External Syncs
    43 Bytes Of World External Syncs
    1,143 Ships Blasted
    113 Shots Blasted
    0 Others Blasted
    2 Fleets Blasted
    214 Deaths Blasted
    
    0 Speed Groups Created On Host==========================================

4/21/2022 5:01:51 PM	4.025	HOST	Clearing player accounts.
4/21/2022 5:01:53 PM	4.025	HOST	Start load save: D:/Programme (x86)/Steam/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
4/21/2022 5:01:53 PM	4.025	HOST	Clearing player accounts.
4/21/2022 5:01:53 PM	4.025	HOST	Clearing player accounts.
4/21/2022 5:01:53 PM	4.025	HOST	Clearing player accounts.
4/21/2022 5:01:53 PM	4.025	HOST	loading as template
4/21/2022 5:01:53 PM	4.025	HOST	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
4/21/2022 5:01:53 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
4/21/2022 5:01:53 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
4/21/2022 5:01:53 PM	4.025	HOST	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
4/21/2022 5:01:53 PM	4.025	HOST	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
4/21/2022 5:01:53 PM	4.025	HOST	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
4/21/2022 5:01:53 PM	4.025	HOST	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
4/21/2022 5:01:53 PM	4.025	HOST	Fix Missing Faction: Added the faction WormholeInvasion because every game should have exactly one of these.
4/21/2022 5:01:53 PM	4.025	HOST	Finish load save in 170ms
4/21/2022 5:01:53 PM	4.025	HOST	DELAYED171 TID31 Start Generate Partial Map with Clusters and seed 228962312 and planet count 80 and 21 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 5:01:53 PM	4.025	HOST	DELAYED172 TID31 Map structure generated in 10ms.
4/21/2022 5:01:53 PM	4.025	HOST	DELAYED173 TID31 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 5:01:53 PM	4.025	HOST	DELAYED174 TID31 Generate Partial Map Complete  37ms Seed: 228962312
4/21/2022 5:01:54 PM	4.025	HOST	DELAYED175 TID43 LITENET NETWORKING: Connection incoming from: 192.168.178.20:63477
4/21/2022 5:01:54 PM	4.025	HOST	DELAYED176 TID61 Client requested to join with the name 'Mango'
4/21/2022 5:01:54 PM	4.025	HOST	DELAYED177 TID61 Tell client 'Mango' that they are accepted, player account #1.
4/21/2022 5:01:54 PM	4.025	HOST	DELAYED178 TID61 Regenerate the world to include the new player.  All clients will get the new world data after that.
4/21/2022 5:01:54 PM	4.025	HOST	DELAYED179 TID61 Start Generate Partial Map with Clusters and seed 228962312 and planet count 80 and 37 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings) Logging OFF
4/21/2022 5:01:54 PM	4.025	HOST	DELAYED180 TID61 PlayerAccount Zer0h1nder has now been put in control of faction 1 - Spire-Infused Empire.
4/21/2022 5:01:54 PM	4.025	HOST	DELAYED181 TID61 PlayerAccount Mango has now been put in control of faction 13 - Human Ark Empire.
4/21/2022 5:01:54 PM	4.025	HOST	DELAYED182 TID61 Generate Partial Map Complete  29ms Seed: 228962312
4/21/2022 5:01:54 PM	4.025	HOST	DELAYED183 TID61 Send all clients the world data that has just been regenerated.
4/21/2022 5:02:13 PM	4.025	HOST	DELAYED184 TID37 Start Generate FULL Map with Clusters and seed 228962312 and planet count 80 and 37 factions (StartingMainGameAfterLobby NotLoadingAnything) Logging OFF
4/21/2022 5:02:13 PM	4.025	HOST	DELAYED185 TID37 Generate FULL Map Complete  533ms Seed: 228962312
4/21/2022 5:02:13 PM	4.025	HOST	DELAYED186 TID27 Fixed incorrect count of ships to be granted.  Was 20, now 10 Blaster Turret from Turret Schematic Server
4/21/2022 5:02:13 PM	4.025	HOST	DELAYED187 TID27 Fixed incorrect count of ships to be granted.  Was 2, now 10 Grenade Launcher Turret from Turret Schematic Server
4/21/2022 5:02:14 PM	4.025	HOST	DELAYED188 TID8 Added new fleet: countOfFleetsActuallyHere: 0 intendedNumberOfFleets: 1 PlayerCustomCityFedMobile
4/21/2022 5:03:01 PM	4.025	HOST	DELAYED189 TID30 Client Mango (connection 1) has closed their connection.
4/21/2022 5:03:03 PM	4.025	HOST	DELAYED190 TID18 LITENET NETWORKING: Connection incoming from: 192.168.178.20:51455
4/21/2022 5:03:03 PM	4.025	HOST	DELAYED191 TID10 Client requested to join with the name 'Mango'
4/21/2022 5:03:03 PM	4.025	HOST	DELAYED192 TID10 Tell client 'Mango' that they are accepted, player account #1.
4/21/2022 5:03:03 PM	4.025	HOST	DELAYED193 TID10 Send client 'Mango' the world data.
4/21/2022 6:00:15 PM	4.025	HOST	
Memory Profile Debug Data On Game Exit:
Game Version: 4025_LightningConduction
Multiplayer Status: Host
==========================================
==========================================
Network Data Totals:
Framework: <color=#ffd965>S-Tier:</color> Direct IP: LiteNetLib
Received Overall: 245,690
Received Overall: 139.4 MB
Sent Overall: 1,233,477
Sent Overall: 364.9 MB
Network Active For: 0 hours, 58 minutes, 19 seconds.
62,078 Sent Main       | 77.4 MB Sent Main
33,752 Sent Frequent       | 13.0 MB Sent Frequent
29,285 Sent Bulky-1       | 152.0 MB Sent Bulky-1
73,541 Sent Bulky-2       | 9.7 MB Sent Bulky-2
1,034,821 Sent Bulky-3       | 112.8 MB Sent Bulky-3

    93 Sync Cycles
    FactionBasics Sync Stage (5)
    4 Waiting For Sync Acks
    0 Sync Acks Skipped
    15 Waiting For Ship Acks
    1 Ship  Acks Skipped
    0 Srv Ships Needing Sync Fix
    
    2,164 Ship Sync Cycles Complete
    
    1,019,655 Sh Syncs f/Mismatch
    2,417 Sh Syncs Voluntary
    1,043,037 Ship Syncs Sent
    22,425 Ship Syncs Forced
    12,859,205 Sh Sy Chk
    152.0 MB Of Ship Sync Checks
    1,033,361 Div Sh
    112.8 MB Of Divergent Ship Fixes
    9,610 Divergent Sh Deletions
    15 Duplicate Sh Syn Skips
    22,430 Sh Syncs Skipped
    4 Tier 3 Plan Sync Cycle
    66s Since Oldest Skip-Sync
    31,491 Ultra Freq Syncs
    13.0 MB Of Ultra Freq Syncs
    29,956 Fast Blasts
    10.9 MB Of Fast Blasts
    29 Omni Blasts
    2.1 KB Of Omni Blasts
    3,436 Faction Syncs
    246.3 KB Of Faction Syncs
    3,441 Fac-Ex Syncs
    359.5 KB Of Fac-Ex Syncs
    51,678 Fleet Syncs
    3.2 MB Of Fleet Syncs
    7,360 Planet Syncs
    1.3 MB Of Planet Syncs
    3,854 P-Faction Syncs
    4.1 MB Of P-Faction Syncs
    93 World Basic Syncs
    568.0 KB Of World Basic Syncs
    93 World External Syncs
    12.6 KB Of World External Syncs
    36,114 Ships Blasted
    177,110 Shots Blasted
    0 Others Blasted
    46 Fleets Blasted
    208,126 Deaths Blasted
    
    470 Speed Groups Created On Host==========================================

4/21/2022 6:00:15 PM	4.025	SINGLEP	Clearing player accounts.
ArcenDebugLog-2.txt (70,786 bytes)   

Chris_McElligottPark

Apr 25, 2022 3:54 pm

administrator   ~0066446

For the players that are being waited-on when it softlocks, if you're able to have them hit escape, click the debug button, and then hit abort all threads, that would be useful to see what debugging output comes from that.

Chris_McElligottPark

May 5, 2022 11:45 am

administrator   ~0066618

Thanks! For the next build, 5.007:

* Added a new "Threading Exchanger" framework to our general library for the game. This hands certain forms of gates into the code, where a thread cannot go into that section of the code until another thread reports that it is done in there.
** Previously this was implemented with dozens of individual Interlocked.Exchange calls, but now those all use the ThreadingExchanger class, which centralizes things.
** Overall, not much changes with this, except that now when you use the "Log All Threads" debug function, or the "Abort All Threads" debug function, it will also log all of these that are set to busy, and set them all to idle.
** If you are seeing the game "paused and won't do anything," then this should be the final piece of instrumentation that would fix that. For MP clients, same deal.
*** This is mostly a debugging tool, but it's also a workaround. When you run into one of those "perma paused, won't go" situations, have everyone affected hit the escape menu, go into debug on that, and hit "Abort all threads," and that should get things moving again. Please then also send us the logs that result from that, so that we can fix whatever the issue is now that it's been identified.

Chris_McElligottPark

May 14, 2022 2:48 pm

administrator   ~0066777

This should no longer happen to MP clients in the new build!

Issue History

Date Modified Username Field Change
Apr 16, 2022 10:27 am Dismiss New Issue
Apr 16, 2022 10:28 am Dismiss Note Added: 0066073
Apr 16, 2022 10:28 am Dismiss File Added: ArcenDebugLog.txt
Apr 16, 2022 10:32 am Daniexpert Note Added: 0066074
Apr 16, 2022 10:32 am Daniexpert Sticky Issue No => Yes
Apr 19, 2022 12:19 pm Chris_McElligottPark Assigned To => Chris_McElligottPark
Apr 19, 2022 12:19 pm Chris_McElligottPark Status new => feedback
Apr 19, 2022 12:19 pm Chris_McElligottPark Note Added: 0066140
Apr 21, 2022 12:44 pm Zer0h1nder Note Added: 0066220
Apr 21, 2022 12:44 pm Zer0h1nder File Added: ArcenDebugLog-2.txt
Apr 25, 2022 3:54 pm Chris_McElligottPark Note Added: 0066446
Apr 25, 2022 3:55 pm Chris_McElligottPark Relationship added related to 0027168
May 5, 2022 11:45 am Chris_McElligottPark Note Added: 0066618
May 14, 2022 2:48 pm Chris_McElligottPark Status feedback => resolved
May 14, 2022 2:48 pm Chris_McElligottPark Resolution open => fixed
May 14, 2022 2:48 pm Chris_McElligottPark Fixed in Version => 5.010 Client Message Order
May 14, 2022 2:48 pm Chris_McElligottPark Note Added: 0066777
May 14, 2022 2:48 pm Chris_McElligottPark Sticky Issue Yes => No